DOM::CDATASection Class Reference

`#include <dom_xml.h>`

Inheritance diagram for DOM::CDATASection:

## Public Member Functions

| CDATASection (const CDATASection &other)
| CDATASection (const Node &other)
CDATASection & | operator= (const Node &other)
CDATASection & | operator= (const CDATASection &other)
Public Member Functions inherited from DOM::Text
| Text (const Text &other)
| Text (const Node &other)
Text & | operator= (const Node &other)
Text & | operator= (const Text &other)
Text | splitText (const unsigned long offset)
Public Member Functions inherited from DOM::CharacterData
| CharacterData (const CharacterData &other)
| CharacterData (const Node &other)
CharacterData & | operator= (const Node &other)
CharacterData & | operator= (const CharacterData &other)
DOMString | data () const
void | setData (const DOMString &)
unsigned long | length () const
DOMString | substringData (const unsigned long offset, const unsigned long count)
void | appendData (const DOMString &arg)
void | insertData (const unsigned long offset, const DOMString &arg)
void | deleteData (const unsigned long offset, const unsigned long count)
void | replaceData (const unsigned long offset, const unsigned long count, const DOMString &arg)
Public Member Functions inherited from DOM::Node
| Node (const Node &other)
| Node (NodeImpl *_impl)
Node & | operator= (const Node &other)
bool | operator== (const Node &other) const
bool | operator!= (const Node &other) const
DOMString | nodeName () const
DOMString | nodeValue () const
void | setNodeValue (const DOMString &)
unsigned short | nodeType () const
Node | parentNode () const
NodeList | childNodes () const
Node | firstChild () const
Node | lastChild () const
Node | previousSibling () const
Node | nextSibling () const
NamedNodeMap | attributes () const
Document | ownerDocument () const
Node | insertBefore (const Node &newChild, const Node &refChild)
Node | replaceChild (const Node &newChild, const Node &oldChild)
Node | removeChild (const Node &oldChild)
Node | appendChild (const Node &newChild)
bool | hasChildNodes ()
Node | cloneNode (bool deep)
void | normalize ()
bool | isSupported (const DOMString &feature, const DOMString &version) const
DOMString | namespaceURI () const
DOMString | prefix () const
void | setPrefix (const DOMString &prefix)
DOMString | localName () const
bool | hasAttributes ()
DOMString | textContent () const
void | setTextContent (const DOMString &content) const
void | addEventListener (const DOMString &type, EventListener *listener, const bool useCapture)
void | removeEventListener (const DOMString &type, EventListener *listener, bool useCapture)
bool | dispatchEvent (const Event &evt)
Q_UINT32 | elementId () const
bool | isNull () const
NodeImpl * | handle () const
unsigned long | index () const
QString | toHTML () KDE_DEPRECATED
void | applyChanges ()
void | getCursor (int offset, int &_x, int &_y, int &height) KDE_DEPRECATED
QRect | getRect ()

## Protected Member Functions

| CDATASection (CDATASectionImpl *i)
Protected Member Functions inherited from DOM::Text
| Text (TextImpl *i)
Protected Member Functions inherited from DOM::CharacterData
| CharacterData (CharacterDataImpl *i)

## Friends

class | Document

## Additional Inherited Members

Public Types inherited from DOM::Node
enum | NodeType { ELEMENT_NODE = 1, ATTRIBUTE_NODE = 2, TEXT_NODE = 3, CDATA_SECTION_NODE = 4, ENTITY_REFERENCE_NODE = 5, ENTITY_NODE = 6, PROCESSING_INSTRUCTION_NODE = 7, COMMENT_NODE = 8, DOCUMENT_NODE = 9, DOCUMENT_TYPE_NODE = 10, DOCUMENT_FRAGMENT_NODE = 11, NOTATION_NODE = 12 }
Protected Attributes inherited from DOM::Node
NodeImpl * | impl

## Detailed Description

CDATA sections are used to escape blocks of text containing characters that would otherwise be regarded as markup.

The only delimiter that is recognized in a CDATA section is the "]]&gt;" string that ends the CDATA section. CDATA sections can not be nested. The primary purpose is for including material such as XML fragments, without needing to escape all the delimiters.

The `DOMString` attribute of the `Text` node holds the text that is contained by the CDATA section. Note that this may contain characters that need to be escaped outside of CDATA sections and that, depending on the character encoding ("charset") chosen for serialization, it may be impossible to write out some characters as part of a CDATA section.

The `CDATASection` interface inherits the `CharacterData` interface through the `Text` interface. Adjacent `CDATASections` nodes are not merged by use of the Element.normalize() method.

Definition at line 66 of file dom_xml.h.

The documentation for this class was generated from the following files:

- dom_xml.h
- dom_xml.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys